Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1692661 - Expect a clear message ,when disable API federation with --delete-from-api multiple times
Summary: Expect a clear message ,when disable API federation with --delete-from-api mu...
Keywords:
Status: ASSIGNED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Federation
Version: 4.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.2.0
Assignee: Ivan Font
QA Contact: Qin Ping
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-26 07:48 UTC by Qin Ping
Modified: 2019-04-10 19:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)

Description Qin Ping 2019-03-26 07:48:57 UTC
Description of problem:
Expect a clear message ,when disable API federation with --delete-from-api multiple times


Version-Release number of selected component (if applicable):
$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE     STATUS
version   4.0.0-0.nightly-2019-03-25-180911   True        False         57m       Cluster version is 4.0.0-0.nightly-2019-03-25-180911

kubefed2 version: version.Info{Version:"0.0.6", GitCommit:"de6a0a909418f5ddf2d04d232b0ca55aa9cffb49", GitTreeState:"clean", BuildDate:"2019-03-14T00:43:37Z", GoVersion:"go1.11.5", Compiler:"gc", Platform:"linux/amd64"}

Federation v2 controller-manager version: version.Info{Version:"0.0.6", GitCommit:"de6a0a909418f5ddf2d04d232b0ca55aa9cffb49", GitTreeState:"clean", BuildDate:"2019-03-14T00:43:37Z", GoVersion:"go1.11.5", Compiler:"gc", Platform:"linux/amd64"}


How reproducible:
100%

Steps to Reproduce:
1. Install a namespace scoped federation controller manager
2. Join a cluster to a federation
3. Enable Service Federation with cmd:
$ ./kubefed2 enable svc
4. Disable Service Federation without --delete-from-api param:
$ ./kubefed2 disable services
Disabled propagation for FederatedTypeConfig "federation-system/services"
$ ./kubefed2 disable services
Propagation already disabled for FederatedTypeConfig "federation-system/services"
5. Disable Service federation with -delete-from-api param:
$ ./kubefed2 disable services --delete-from-api
Propagation already disabled for FederatedTypeConfig "federation-system/services"
customresourcedefinition "federatedservices.types.federation.k8s.io" deleted
federatedtypeconfig "federation-system/services" deleted
$ ./kubefed2 disable services --delete-from-api


Actual results:
F0326 15:47:50.984429    7959 disable.go:93] error: Error retrieving FederatedTypeConfig "federation-system/services": federatedtypeconfigs.core.federation.k8s.io "services" not found


Expected results:
Hope can return a message like disable Service federation without --delete-from-api param

Additional info:

Comment 1 Paul Morie 2019-04-09 12:59:45 UTC
I'm moving this to 4.2 because while it should be fixed, I don't think it constitutes something that would prevent us from shipping.

Comment 2 Maru Newby 2019-04-10 19:03:57 UTC
I've updated a related upstream issue to ensure this case is handled: https://github.com/kubernetes-sigs/federation-v2/issues/721#issuecomment-481821651


Note You need to log in before you can comment on or make changes to this bug.